package org.rcisoft.bus.testgoods.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

/**
 * @Author:Mr.Yang
 * @Description:Test_Object
 * @Date:2024/7/2
 * @Time:9:59
 */

@Data
@TableName("test_goods")
public class TestGoods extends CyIdIncreEntity<TestGoods> {


    /**
     * @desc 品名
     * @column goods_name
     * @default
     */
    @Excel(name = "商品名称", orderNum = "0", width = 20)
    private String goodsName;

    /**
     * @desc 商品编码
     * @column goods_code
     * @default
     */
    @Excel(name = "商品编码", orderNum = "1", width = 20)
    private String goodsCode;


    /**
     * @desc 货号
     * @column goods_art_number
     * @default
     */
    @Excel(name = "货号", orderNum = "3", width = 20, replace = {"一类_001", "二类_002", "三类_003"})
    private String goodsArtNumber;


    /**
     * @desc 规格
     * @column goods_norms
     * @default
     */
    @Excel(name = "规格", orderNum = "6", width = 20, replace = {"儿童专用_001", "男士专用_002", "女士专用_003"})
    private String goodsNorms;

    /**
     * @desc 尺码
     * @column goods_size
     * @default
     */
    @Excel(name = "尺码", orderNum = "7", width = 20, replace = {"大号_001", "中号_002", "小号_003"})
    private String goodsSize;


    @Excel(name = "品名", orderNum = "9", width = 20, replace = {"日用品_001", "化妆品_002", "服装_003"})
    private String goodsDictName;

    @TableField(exist = false)
    private Integer inCounts;

    @TableField(exist = false)
    private Integer outCounts;

    /**
     * 回显 出入库 列表 count
     */
    @TableField(exist = false)
    private Integer goodsCounts;


    @TableField(exist = false)
    private Integer goodsId;


}
