package org.rcisoft.bus.testgoods.service.imp;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import lombok.extern.slf4j.Slf4j;
import org.rcisoft.bus.testgoods.dao.TestGoodsRepository;
import org.rcisoft.bus.testgoods.entity.TestGoods;
import org.rcisoft.bus.testgoods.service.TestGoodsService;
import org.rcisoft.core.result.CyResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author:Mr.Yang
 * @Description:Test_Object
 * @Date:2024/7/2
 * @Time:10:15
 */
@Slf4j
@Service
public class TestGoodsServiceImp implements TestGoodsService {
    @Autowired
    private TestGoodsRepository testGoodsRepository;

    @Override
    public CyResult addGood(TestGoods testGoods) {
        CyResult cyResult = new CyResult();
        TestGoods existGoods = testGoodsRepository.selectOne
                (new QueryWrapper<TestGoods>().eq("goods_code", testGoods.getGoodsCode()));
        if (existGoods != null) {
            cyResult.setErrorMessage("添加失败,商品重复", null);
            return cyResult;
        } else {
            int insert = testGoodsRepository.insert(testGoods);
            cyResult.setSucessMessage("添加成功", insert);
            return cyResult;
        }
    }

    @Override
    public CyResult removeLogical(int id) {
        UpdateWrapper<TestGoods> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("business_id", id);
        updateWrapper.set("del_flag", 1);
        int update = testGoodsRepository.update(null, updateWrapper);
        CyResult cyResult = new CyResult();
        if (update > 0) {
            cyResult.setSucessMessage("删除成功", null);
            return cyResult;
        } else {
            cyResult.setErrorMessage("网络故障", null);
            return cyResult;
        }
    }

    @Override
    public CyResult updateGood(TestGoods testGoods) {
        int i = testGoodsRepository.updateById(testGoods);
        CyResult cyResult = new CyResult();
        if (i > 0) {
            cyResult.setSucessMessage("修改成功", null);
        } else {
            cyResult.setErrorMessage("网络故障", null);
        }
        return cyResult;
    }

    @Override
    public CyResult findById(int id) {
        TestGoods one = testGoodsRepository.selectOne(new QueryWrapper<TestGoods>().eq("business_id", id));
        CyResult cyResult = new CyResult();
        if (one != null) {
            cyResult.setSucessMessage("", one);
        } else {
            cyResult.setErrorMessage("网络故障", null);
        }
        return cyResult;
    }

    @Override
    public CyResult findAll(TestGoods testGoods) {
        List<TestGoods> testGoods1 = testGoodsRepository.queryTestGoods(testGoods);
        CyResult cyResult = new CyResult();
        cyResult.setSucessMessage("查询成功", testGoods1);
        return cyResult;
    }

    @Override
    public List<TestGoods> export(TestGoods testGoods) {
        return testGoodsRepository.queryTestGoods(testGoods);
    }


}
