package org.rcisoft.bus.testgoodsapply.conroller;

import lombok.extern.slf4j.Slf4j;
import org.rcisoft.bus.testgoodsapply.entity.TestGoodsApply;
import org.rcisoft.bus.testgoodsapply.service.TestGoodsApplyService;
import org.rcisoft.core.result.CyResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author:Mr.Yang
 * @Description:Test_Object
 * @Date:2024/7/3
 * @Time:16:26
 */
@Slf4j
@RestController
@RequestMapping("/testGoodsApply")
public class TestGoodsApplyController {

    @Autowired
    private TestGoodsApplyService testGoodsApplyService;

    @PostMapping("/add")
    public CyResult addApply(@RequestBody TestGoodsApply testGoodsApply) {
        log.info(testGoodsApply.toString());
        return testGoodsApplyService.addApply(testGoodsApply);
    }

    @GetMapping("/findAll")
    public CyResult getAll(TestGoodsApply testGoodsApply) {
        return testGoodsApplyService.findAllApply(testGoodsApply);
    }

    @GetMapping("/find/{applyId}")
    public CyResult getGoods(@PathVariable Integer applyId) {
        return testGoodsApplyService.findApplyById(applyId);
    }

    @PostMapping("/update")
    public CyResult updateApply(TestGoodsApply testGoodsApply) {
        return testGoodsApplyService.updateApply(testGoodsApply);
    }

    @GetMapping("/remove/{applyId}")
    public void remove(@PathVariable Integer applyId) {
        testGoodsApplyService.removeApply(applyId);
    }


}
