package org.rcisoft.bus.testgoodsapply.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.bus.testgoods.entity.TestGoods;
import org.rcisoft.core.entity.CyIdIncreEntity;

import java.io.Serializable;
import java.util.List;

/**
 * @Author:Mr.Yang
 * @Description:Test_Object
 * @Date:2024/7/3
 * @Time:14:59
 */
@Data
@TableName("test_goods_apply")
public class TestGoodsApply extends CyIdIncreEntity<TestGoodsApply> implements Serializable {
    @TableField(exist = false)
    List<TestGoods> testGoods;


    /**
     * @desc 数量
     * @column goods_counts
     * @default
     */
    @Excel(name = "数量", orderNum = "10", width = 20)
    private Integer goodsCounts;
    /**
     * @desc 申请单号
     * @column app_code
     * @default
     */
    @Excel(name = "申请单号", orderNum = "11", width = 20)
    private String appCode;
    /**
     * @desc 发货方
     * @column shipper
     * @default
     */
    @Excel(name = "发货方", orderNum = "12", width = 20)
    private String shipper;
    /**
     * @desc 发货方地址
     * @column shipper_address
     * @default
     */
    @Excel(name = "发货方地址", orderNum = "13", width = 20)
    private String shipperAddress;
    /**
     * @desc 发货方联系方式
     * @column shipper_phone
     * @default
     */
    @Excel(name = "发货方联系方式", orderNum = "14", width = 20)
    private String shipperPhone;


    /**
     * @desc 制单员
     * @column maker
     * @default
     */
    @Excel(name = "制单员", orderNum = "17", width = 20)
    private String maker;
    @Excel(name = "入库", orderNum = "17", width = 20)
    private String inGoods;
    @Excel(name = "库位号", orderNum = "17", width = 20)
    private String goodsNumber;

}
