package org.rcisoft.bus.testgoodsapply.service;

import org.rcisoft.bus.testgoods.entity.TestGoods;
import org.rcisoft.bus.testgoodsapply.entity.TestGoodsApply;
import org.rcisoft.core.result.CyResult;

import java.util.List;

/**
 * @Author:Mr.Yang
 * @Description:Test_Object
 * @Date:2024/7/3
 * @Time:16:08
 */
public interface TestGoodsApplyService {
    /**
     * 添加申请单
     *
     * @param testGoodsApply
     * @return
     */
    CyResult addApply(TestGoodsApply testGoodsApply);

    /**
     * 修改申请单
     *
     * @param testGoodsApply
     * @return
     */
    CyResult updateApply(TestGoodsApply testGoodsApply);

    /**
     * 删除（逻辑删除）申请单
     *
     * @param applyId
     * @return
     */
    CyResult removeApply(Integer applyId);

    /**
     * 查询全部申请单
     *
     * @return
     */
    CyResult findAllApply(TestGoodsApply testGoodsApply);

    /**
     * 通过id查询申请单
     *
     * @param applyId
     * @return
     */
    CyResult findApplyById(Integer applyId);

    List<TestGoods> getGoods(Integer applyId);

    void removeApplyConnection(Integer applyId);

}
