package org.rcisoft.bus.testgoodsapply.service.impl;

import cn.hutool.core.bean.BeanUtil;
import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import org.rcisoft.bus.testgoods.entity.TestGoods;
import org.rcisoft.bus.testgoodsapply.dao.TestApplyGoodsRepository;
import org.rcisoft.bus.testgoodsapply.dao.TestGoodsApplyRepository;
import org.rcisoft.bus.testgoodsapply.entity.TestApplyGoods;
import org.rcisoft.bus.testgoodsapply.entity.TestGoodsApply;
import org.rcisoft.bus.testgoodsapply.service.TestGoodsApplyService;
import org.rcisoft.core.result.CyResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author:Mr.Yang
 * @Description:Test_Object
 * @Date:2024/7/3
 * @Time:16:18
 */
@Service
public class TestGoodsApplyServiceImpl implements TestGoodsApplyService {
    @Autowired
    private TestGoodsApplyRepository testGoodsApplyRepository;

    @Autowired
    private TestApplyGoodsRepository testApplyGoodsRepository;


    public List<TestGoods> getGoods(Integer applyId) {
        List<TestGoods> goods = testGoodsApplyRepository.getGoods(applyId);
        CyResult cyResult = new CyResult();
        if (goods.size() > 0) {
            cyResult.setSucessMessage("查询成功", goods);
        } else {
            cyResult.setErrorMessage("网路故障", null);
        }
        return goods;
    }

    @Override
    public void removeApplyConnection(Integer applyId) {
        UpdateWrapper<TestApplyGoods> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("apply_id", applyId);
        updateWrapper.set("del_flag", '1');
        testApplyGoodsRepository.update(null, updateWrapper);
    }

    @Override
    public CyResult addApply(TestGoodsApply testGoodsApply) {
        int insert = testGoodsApplyRepository.insert(testGoodsApply);
        TestApplyGoods testApplyGoods = new TestApplyGoods();
        BeanUtil.copyProperties(testGoodsApply, testApplyGoods);
        List<TestGoods> testGoods = testGoodsApply.getTestGoods();
        List<Integer> collect = testGoods.stream().map(testGoods1 -> {
            testApplyGoods.setApplyId(testGoodsApply.getBusinessId());
            testApplyGoods.setGoodsId(testGoods1.getBusinessId());
            return testApplyGoodsRepository.insert(testApplyGoods);
        }).toList();

        CyResult cyResult = new CyResult();
        if (insert > 0) {
            cyResult.setSucessMessage("添加成功", null);
        } else {
            cyResult.setErrorMessage("网络故障", null);
        }
        return cyResult;
    }

    @Override
    public CyResult updateApply(TestGoodsApply testGoodsApply) {
        int update = testGoodsApplyRepository.updateById(testGoodsApply);
        CyResult cyResult = new CyResult();
        if (update > 0) {
            cyResult.setSucessMessage("修改成功", null);
        } else {
            cyResult.setErrorMessage("网络故障", null);
        }
        return cyResult;
    }

    @Override
    public CyResult removeApply(Integer applyId) {
        UpdateWrapper<TestGoodsApply> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("business_id", applyId);
        updateWrapper.set("del_flag", '1');
        int update = testGoodsApplyRepository.update(null, updateWrapper);
        removeApplyConnection(applyId);
        CyResult cyResult = new CyResult();
        if (update > 0) {
            cyResult.setSucessMessage("删除成功", null);
        } else {
            cyResult.setErrorMessage("网络故障", null);
        }
        return cyResult;
    }

    @Override
    public CyResult findAllApply(TestGoodsApply testGoodsApply) {
        List<TestGoodsApply> all = testGoodsApplyRepository.queryTestGoodsApply(testGoodsApply);
        CyResult cyResult = new CyResult();
        if (all.size() > 0) {
            cyResult.setSucessMessage("查询成功", all);
        } else {
            cyResult.setSucessMessage("", null);
        }
        return cyResult;
    }

    @Override
    public CyResult findApplyById(Integer applyId) {
        TestGoodsApply testGoodsApply =
                testGoodsApplyRepository
                        .selectOne(new QueryWrapper<TestGoodsApply>().eq("business_id", applyId));
        CyResult cyResult = new CyResult();
        if (testGoodsApply != null) {
            testGoodsApply.setTestGoods(getGoods(applyId));
            cyResult.setSucessMessage("查询成功", testGoodsApply);

        } else {
            cyResult.setErrorMessage("网络故障", null);
        }

        return cyResult;
    }
}
