package org.rcisoft.bus.testgoodsstock.controller;

import lombok.extern.slf4j.Slf4j;
import org.rcisoft.bus.testgoodsstock.dto.TestGoodsStockDTO;
import org.rcisoft.bus.testgoodsstock.service.TestGoodsStockService;
import org.rcisoft.core.result.CyResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * @Author:Mr.Yang
 * @Description:Test_Object
 * @Date:2024/7/3
 * @Time:9:51
 */
@Slf4j
@RestController
@RequestMapping("/testGoodsStock")
public class TestGoodsStockController {

    @Autowired
    private TestGoodsStockService testGoodsStockService;

    /**
     * 逻辑删除 库存管理表
     *
     * @param id
     * @return
     */
    @DeleteMapping("/remove/{id}")
    public CyResult removeLogical(@PathVariable Integer id) {
        return testGoodsStockService.removeLogical(id);
    }

    /**
     * 修改 库存管理表
     *
     * @param testGoodsStock
     * @return
     */

    @PostMapping("/update")
    public CyResult updateCounts(TestGoodsStockDTO testGoodsStock) {
        return testGoodsStockService.updateCounts(testGoodsStock);
    }


    /**
     * 根据id查询 库存管理表
     *
     * @param id
     * @return
     */
    @GetMapping("find/{id}")
    public CyResult findById(@PathVariable int id) {
        return testGoodsStockService.findById(id);
    }


    /**
     * 查询list 库存管理表
     *
     * @param testGoodsStock
     * @return
     */
    @GetMapping("/findAll")
    public CyResult findAll(TestGoodsStockDTO testGoodsStock) {
        log.info("object:{}", testGoodsStock);
        return testGoodsStockService.findAll(testGoodsStock);
    }


}
