package org.rcisoft.bus.testgoodsstock.entity;

import cn.afterturn.easypoi.excel.annotation.Excel;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.Data;
import org.rcisoft.core.entity.CyIdIncreEntity;

import java.io.Serializable;

/**
 * @Author:Mr.Yang
 * @Description:Test_Object
 * @Date:2024/7/3
 * @Time:9:00
 */
@Data
@TableName("test_goods_stock")
public class TestGoodsStock extends CyIdIncreEntity<TestGoodsStock> implements Serializable {


    /**
     * @desc 商品id
     * @column goods_id
     * @default
     */
    @Excel(name = "商品id", orderNum = "0", width = 20)
    private Integer goodsId;

    /**
     * @desc 商品数量
     * @column goods_counts
     * @default
     */
    @Excel(name = "商品数量", orderNum = "1", width = 20)
    private Integer goodsCounts;
    
    @TableField(exist = false)
    private Integer inventoryValue;


}
