package org.rcisoft.bus.testgoodsstock.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import org.rcisoft.bus.testgoodsstock.dto.TestGoodsStockDTO;
import org.rcisoft.bus.testgoodsstock.entity.TestGoodsStock;
import org.rcisoft.bus.wmsgoodsstock.dto.WmsGoodsStockPageResultsDto;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.result.CyResult;

import java.util.List;

/**
 * @Author:Mr.Yang
 * @Description:Test_Object
 * @Date:2024/7/3
 * @Time:9:26
 */
public interface TestGoodsStockService {

    /**
     * 逻辑删除 库存管理表
     *
     * @param id
     * @return
     */
    CyResult removeLogical(Integer id);

    /**
     * 修改 库存管理表
     *
     * @param testGoodsStock
     * @return
     */

    CyResult updateCounts(TestGoodsStock testGoodsStock);


    /**
     * 根据id查询 库存管理表
     *
     * @param id
     * @return
     */
    CyResult findById(int id);

    /**
     * 分页查询 库存管理表
     *
     * @param testGoodsStock
     * @return
     */
    IPage<WmsGoodsStockPageResultsDto> findAllByPagination(CyPageInfo<WmsGoodsStockPageResultsDto> paginationUtility,
                                                           TestGoodsStock testGoodsStock);


    /**
     * 查询list 库存管理表
     *
     * @param testGoodsStock
     * @return
     */
    CyResult findAll(TestGoodsStockDTO testGoodsStock);


    /**
     * 导出库存管理表
     *
     * @return
     */
    List<TestGoodsStock> export(TestGoodsStock testGoodsStock);
}
