package org.rcisoft.bus.testgoodsstock.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.core.conditions.update.UpdateWrapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import lombok.extern.slf4j.Slf4j;
import org.rcisoft.bus.testgoodsstock.dao.TestGoodsStockRepository;
import org.rcisoft.bus.testgoodsstock.dto.TestGoodsStockDTO;
import org.rcisoft.bus.testgoodsstock.entity.TestGoodsStock;
import org.rcisoft.bus.testgoodsstock.service.TestGoodsStockService;
import org.rcisoft.bus.wmsgoodsstock.dto.WmsGoodsStockPageResultsDto;
import org.rcisoft.core.model.CyPageInfo;
import org.rcisoft.core.result.CyResult;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * @Author:Mr.Yang
 * @Description:Test_Object
 * @Date:2024/7/3
 * @Time:9:28
 */
@Service
@Slf4j
public class TestGoodsStockServiceImpl implements TestGoodsStockService {


    @Autowired
    private TestGoodsStockRepository testGoodsStockRepository;

    @Override
    public CyResult removeLogical(Integer id) {
        UpdateWrapper<TestGoodsStock> updateWrapper = new UpdateWrapper<>();
        updateWrapper.eq("business_id", id);
        updateWrapper.set("del_flag", 1);
        int update = testGoodsStockRepository.update(null, updateWrapper);
        CyResult cyResult = new CyResult();
        if (update > 0) {
            cyResult.setSucessMessage("删除成功", null);
        } else {
            cyResult.setErrorMessage("网络故障", null);
        }
        return cyResult;
    }

    @Override
    public CyResult updateCounts(TestGoodsStock testGoodsStock) {
        int line = testGoodsStockRepository.updateById(testGoodsStock);
        CyResult cyResult = new CyResult();
        if (line > 0) {
            cyResult.setSucessMessage("修改成功", null);
        } else {
            cyResult.setErrorMessage("网络故障", null);
        }
        return cyResult;
    }

    @Override
    public CyResult findById(int id) {

        TestGoodsStock selectOne
                = testGoodsStockRepository.selectOne(new QueryWrapper<TestGoodsStock>().eq("business_id", id));
        CyResult cyResult = new CyResult();
        if (selectOne != null) {
            cyResult.setSucessMessage("", selectOne);
        } else {
            cyResult.setErrorMessage("网络故障", null);
        }
        return cyResult;
    }

    @Override
    public IPage<WmsGoodsStockPageResultsDto>
    findAllByPagination(CyPageInfo<WmsGoodsStockPageResultsDto> paginationUtility, TestGoodsStock testGoodsStock) {
        return null;
    }

    @Override
    public CyResult findAll(TestGoodsStockDTO testGoodsStock) {
        List<TestGoodsStockDTO> testGoodsStocks = testGoodsStockRepository.queryTestGoodsStocks(testGoodsStock);
        log.info("stock:{}", testGoodsStocks);
        CyResult cyResult = new CyResult();
        cyResult.setSucessMessage("", testGoodsStocks);
        return cyResult;
    }

    @Override
    public List<TestGoodsStock> export(TestGoodsStock testGoodsStock) {
        return null;
    }
}
